Subject: bug#67323: 30.0.50; [PATCH] Set a new desktop file to mode 0600

From: Manuel Giraud <[email-masked]>
Date: Fri, 15 Dec 2023 10:00:33 +0100

Eli Zaretskii <[email-masked]> writes:

[...]

> Bottom line: I think we should install this as optional behavior, by
> default off, if at all.  If many people turn it on in their
> customizations, we can later revisit the default value.

So with all these conditions (a custom, off by default), I then think
that we should not install this.  My idea was to have better privacy by
*default*.  If one user have to tweak a custom somewhere to do this, I
think he'd better set the Unix rights on its desktop file by "hand" as
I'm doing now.  And there is still umask also.
-- 
Manuel Giraud